> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetAdminUsers

POST https://api.voximplant.com/platform_api/GetAdminUsers

Gets the admin users of the specified account. Note that both account types - parent and child - can have its own admins.

**Example request:** Get two first admin users.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/admin-users/get-admin-users

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetAdminUsers:
    post:
      operationId: get-admin-users
      summary: GetAdminUsers
      description: >-
        Gets the admin users of the specified account. Note that both account
        types - parent and child - can have its own admins.


        **Example request:** Get two first admin users.
      tags:
        - subpackage_adminUsers
      parameters:
        - name: required_admin_user_id
          in: query
          description: The admin user ID to filter
          required: false
          schema:
            type: integer
        - name: required_admin_user_name
          in: query
          description: The admin user name part to filter
          required: false
          schema:
            type: string
        - name: admin_user_display_name
          in: query
          description: The admin user display name part to filter
          required: false
          schema:
            type: string
        - name: admin_user_active
          in: query
          description: Whether the admin user is active to filter
          required: false
          schema:
            type: boolean
        - name: with_roles
          in: query
          description: Whether to get the attached admin roles
          required: false
          schema:
            type: boolean
            default: false
        - name: with_access_entries
          in: query
          description: Whether to get the admin user permissions
          required: false
          schema:
            type: boolean
            default: false
        - name: count
          in: query
          description: The max returning record count
          required: false
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          description: The first **N** records are skipped in the output
          required: false
          schema:
            type: integer
            default: 0
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/admin-users_GetAdminUsers_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    AdminRoleTypeAdminUsersItems:
      type: object
      properties:
        admin_user_id:
          type: integer
      title: AdminRoleTypeAdminUsersItems
    AdminRoleType:
      type: object
      properties:
        admin_role_id:
          type: integer
          description: The admin role ID
        admin_role_name:
          type: string
          description: The admin role name
        admin_role_active:
          type: boolean
          description: Whether to ignore the allowed and denied entries
        system_role:
          type: boolean
          description: Whether it is a system role
        modified:
          type: string
          description: |-
            Timestamp in YYYY-MM-DD HH:mm:ss format.

            The admin role editing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss
        allowed_entries:
          type: array
          items:
            type: string
          description: The allowed access entries (the API function names)
        denied_entries:
          type: array
          items:
            type: string
          description: The denied access entries (the API function names)
        admin_users:
          type: array
          items:
            $ref: '#/components/schemas/AdminRoleTypeAdminUsersItems'
      description: The [GetAdminRoles] function result.
      title: AdminRoleType
    AdminUserType:
      type: object
      properties:
        admin_user_id:
          type: integer
          description: The admin user ID
        admin_user_name:
          type: string
          description: The admin user name
        admin_user_display_name:
          type: string
          description: The admin user display name
        admin_user_active:
          type: boolean
          description: Whether login is allowed
        modified:
          type: string
          description: |-
            Timestamp in YYYY-MM-DD HH:mm:ss format.

            The admin user editing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss
        access_entries:
          type: array
          items:
            type: string
          description: The allowed access entries (the API function names)
        admin_roles:
          type: array
          items:
            $ref: '#/components/schemas/AdminRoleType'
          description: The attached admin roles
      description: The [GetAdminUsers] function result.
      title: AdminUserType
    admin-users_GetAdminUsers_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/AdminUserType'
        total_count:
          type: integer
          description: The total found admin user count
        count:
          type: integer
          description: The returned admin user count
      title: admin-users_GetAdminUsers_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetAdminUsers"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetAdminUsers';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetAdminUsers"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetAdminUsers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetAdminUsers")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetAdminUsers', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetAdminUsers");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetAdminUsers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```